# [Unify React Mobile](http://design.tokopedia.net/storybook/mobile/?path=/story/components-image--default/) &middot; [![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg)](https://github.com/tokopedia/unify/pulls) [![Commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg)](http://commitizen.github.io/cz-cli/) [![semantic-release](https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg)](https://github.com/semantic-release/semantic-release)

> Global component library developed by Tokopedia's Design System team called UNIFY.
> This library can be used on any React based mobile site project via NPM.

## Installation

Using npm:

```sh
npm install unify-react-mobile

npm install unify-react-mobile@beta     ## using beta version
```

or using yarn:

```sh
yarn add unify-react-mobile

yarn add unify-react-mobile@beta      ## using beta version
```

## Usage

```jsx
import Button from 'unify-react-mobile/build/Button';

ReactDOM.render(<Button main>Hello</Button>, node);
```

when upgrading `unify-react-mobile`, you can see what have changed since last update in [here](https://github.com/tokopedia/unify/blob/master/packages/mobile/CHANGELOG.md)

## Development, Scripts, & Contributing guide

See details [here](https://github.com/tokopedia/unify/blob/master/README.md)
