import styled, { css } from 'react-emotion';
import { fontSizeLv3 } from 'unify-token/build/v2/typographies';
import { colorShadow } from 'unify-token/build/v2/colors';
import { GN500, NN50, NN0 } from 'unify-token/colors';
import { durationT4, easeInOut } from 'unify-token/build/v2/motions';
import { focusStyle } from "../../build/Providers/common/style";
export var Content = styled("div", {
  target: "eq4oda50"
})("padding:", function (_ref) {
  var padding = _ref.padding,
      noPadding = _ref.noPadding;
  return noPadding ? 0 : padding;
}, ";max-height:calc(100% - 49px);overflow-y:auto;");
export var Container = styled("article", {
  target: "eq4oda51"
})("label:unf-bottomsheet;position:fixed;left:0;bottom:0;width:100%;min-height:35%;max-height:100%;height:", function (_ref2) {
  var full = _ref2.full;
  return full && '100%';
}, ";background-color:", NN0, ";box-shadow:0 -1px 7px 0 ", colorShadow, ";z-index:60;transform:", function (_ref3) {
  var mod = _ref3.mod;
  return mod.display ? 'translateY(0)' : 'translateY(100%)';
}, ";transition:transform ", durationT4, " ", easeInOut, ";& .unf-btn__floating-container{position:absolute;}&.unf-picker__bottomsheet{", Content, "{padding:0;}}");
export var Header = styled("header", {
  target: "eq4oda52"
})("display:flex;align-items:center;justify-content:space-between;border-bottom:", function (_ref4) {
  var border = _ref4.border;
  return border ? "1px solid ".concat(NN50) : 'none';
}, ";width:100%;height:52px;overflow:hidden;& .unf-bottomsheet__text-wrapper{flex:1 1 auto;overflow:hidden;}& .unf-bottomsheet__title-text{max-width:100%;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}");
var normalizeButton = css("border:none;background-color:transparent;-webkit-appearance:none;");
export var closeButton = css("flex:0 0 auto;height:52px;width:52px;", normalizeButton, ";", focusStyle, ";&:focus-visible{outline-offset:-2px;}");
export var actionStyle = css("flex:0 0 auto;padding:16px 16px 16px 0;font-size:", fontSizeLv3, ";font-weight:400;line-height:20px;color:", GN500, ";text-decoration:initial;", normalizeButton, ";");