/// <reference types="react" />
import type { BottomSheetV2Props } from './type';
export type { BottomSheetTitleProps, BottomSheetV2Props } from './type';
export declare const CLASSNAMES: {
    sheet: string;
    wrapper: string;
    innerWrapper: string;
    dragHandler: string;
    closeButton: string;
    content: string;
    header: string;
    actionText: string;
    title: string;
};
export declare const BUTTON_LABELS: {
    closeButton: {
        en: string;
        id: string;
    };
};
export declare const BaseBottomSheetV2: ({ actionText, children, className, closeProps, display, dynamicContent, full, initialPos, lang, padding, title, titleProps, withClose, withKnob, onActionClick, onClose, onDrag, onDragEnd, onDragStart, onMaximize, onMinimize, onScroll, ...otherProps }: BottomSheetV2Props) => JSX.Element;
declare const wrapperElement: any;
export default wrapperElement;
