/// <reference types="react" />
export interface CarouselIndicatorProps {
    active: boolean;
    className: string;
    dataTest: string;
    index: number;
    inverted: boolean;
    padding: string;
    onClick: () => void;
}
declare const CarouselIndicator: {
    (props: CarouselIndicatorProps): JSX.Element;
    propTypes: {
        active: import("prop-types").Requireable<boolean>;
        className: import("prop-types").Requireable<string>;
        dataTest: import("prop-types").Requireable<string>;
        index: import("prop-types").Requireable<number>;
        inverted: import("prop-types").Requireable<boolean>;
        padding: import("prop-types").Requireable<string>;
        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        active: boolean;
        className: string;
        index: number;
        inverted: boolean;
        onClick: () => void;
    };
};
export default CarouselIndicator;
