import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["backgroundColor", "children", "padding"];
import React from 'react';
import { spacingLv4 } from 'unify-token/build/v2/spacings';
import Wrapper from "./style";

var Container = function Container(_ref) {
  var _ref$backgroundColor = _ref.backgroundColor,
      backgroundColor = _ref$backgroundColor === void 0 ? 'green' : _ref$backgroundColor,
      children = _ref.children,
      _ref$padding = _ref.padding,
      padding = _ref$padding === void 0 ? spacingLv4 : _ref$padding,
      otherProps = _objectWithoutProperties(_ref, _excluded);

  return React.createElement(Wrapper, _extends({
    backgroundColor: backgroundColor,
    "data-unify": "Container",
    padding: padding
  }, otherProps), children);
};

export default Container;