import styled from 'react-emotion';
import { NN0, BN50, GN50, YN50, PN50, RN50, NN50 } from 'unify-token/colors';
var Wrapper = styled("section", {
  target: "e12a0kvi0"
})("label:unf-container;display:block;position:relative;padding:", function (_ref) {
  var padding = _ref.padding;
  return padding;
}, ";background-image:", function (_ref2) {
  var backgroundColor = _ref2.backgroundColor;
  return "linear-gradient(180deg, ".concat(NN0, " 25%, ").concat(handleBackgroundColor({
    backgroundColor: backgroundColor
  }), " 100%)");
}, ";");

var handleBackgroundColor = function handleBackgroundColor(_ref3) {
  var backgroundColor = _ref3.backgroundColor;

  switch (true) {
    case backgroundColor === 'blue':
      return BN50;

    case backgroundColor === 'green':
      return GN50;

    case backgroundColor === 'yellow':
      return YN50;

    case backgroundColor === 'purple':
      return PN50;

    case backgroundColor === 'red':
      return RN50;

    case backgroundColor === 'grey':
      return NN50;

    default:
      return backgroundColor;
  }
};

export default Wrapper;