import React from 'react';
declare type ContainerAttributes = React.ComponentPropsWithoutRef<'section'>;
export interface ContainerProps extends Omit<ContainerAttributes, 'css'> {
    /**
     * To specify custom background color on Container
     * @default 'green'
     */
    backgroundColor?: string;
    /**
     * To specify custom padding on Container
     * @default '16px'
     */
    padding?: string;
}
export {};
