import React from 'react';
export interface ContentSwitcherProps {
    /**
     * To set custom heading tag level of item
     */
    heading?: number;
    /**
     * To indicate currently active item
     */
    indexActive?: number;
    /**
     * To specify items of selections
     */
    selections?: string[];
    /**
     * To pass callback onClick item. `(selection, index) => void`;
     */
    onItemClick?: (val: string, index: number, e: React.MouseEvent<HTMLButtonElement>) => void;
}
export declare type ItemHighlightProps = {
    width: number;
    height: number;
    xPos: number;
    yPos: number;
};
export interface ItemProps extends Omit<React.ComponentPropsWithoutRef<'button'>, 'css'> {
    active: boolean;
}
