import { css } from 'react-emotion';
import { NN50, NN200, NN400, NN600, NN950 } from 'unify-token/colors';
import { fontSizeLv2 } from 'unify-token/build/v2/typographies';
export var datepicker_sheet_description = css("font-size:", fontSizeLv2, ";color:", NN600, ";padding:0px 16px 12px;");
export var datepicker_scroll = css("padding:0px 16px 16px 16px;touch-action:none;user-select:none;");
export var datepicker_scroll_container = css("height:125px;width:100%;border-top:1px solid ", NN200, ";border-bottom:1px solid ", NN200, ";margin-bottom:16px;overflow:hidden;position:relative;");
export var datepicker_scroll_selected = css("background-color:", NN50, ";width:100%;height:30px;position:absolute;top:50%;transform:translateY(-50%);border-radius:4px;z-index:0;");
export var datepicker_scroll_content = css("text-align:center;position:relative;height:100%;z-index:1;");
export var datepicker_scroll_scroll_container = css("vertical-align:top;position:relative;height:50%;");
export var datepicker_time_colon = css("position:absolute;top:50%;transform:translateY(-50%);font-weight:bold;");
var _ref = "height:30px;line-height:30px;color:";
var _ref2 = ";font-weight:";
var _ref3 = ";position:absolute;width:100%;";
export var scroll_container_row = function scroll_container_row(active, disabled) {
  return css(_ref, disabled ? NN400 : NN950, _ref2, active && !disabled && 'bold', _ref3);
};