import type { ItemData } from './type';
export declare const ROW_HEIGHT = 30;
export declare const CONTAINER_HEIGHT = 125;
export declare const ACCELERATION_COEFF = 3;
export declare const FRICTION_COEFF = 0.8;
export declare const MIN_ABS_VELOCITY = 100;
export declare const RENDER_INTERVAL: number;
export declare const LIST_SIZE_CONSTANT = 4;
export declare const Y_ORIGIN: number;
export declare const DISABLED_PAD_AMOUNT = 30;
export declare const MS_TO_DAY_DIVIDER: number;
export declare const monthList: {
    id: string[];
    en: string[];
};
export declare const dayList: {
    id: string[];
    en: string[];
};
export declare const fullMonthList: {
    id: string[];
    en: string[];
};
export declare const disableArrayValues: (array: ItemData[], minIndex: number, maxIndex: number) => void;
export declare const disableArrayValuesByIndex: (array: ItemData[], minIndex: number, maxIndex: number) => void;
export declare const generateYears: (minYear?: number, maxYear?: number) => any[];
export declare const formatDate: (format: string) => {
    dateFormat: {
        date: string;
        month: string;
        year: string;
    };
    order: string[];
};
export declare const defaultInitialDate: Date;
export declare const defaultMaxDate: Date;
export declare const defaultMinDate: Date;
