import styled, { css } from 'react-emotion';
import { durationT3, durationT2, easeOut, easeInOut } from 'unify-token/build/v2/motions';
import { GN500, NN600, NN950 } from 'unify-token/colors';
export var Container = styled('div', {
  target: "esqyvjn0"
})("label:unf-dialog;position:fixed;top:50%;width:100%;opacity:", function (_ref) {
  var mod = _ref.mod;
  return mod !== null && mod !== void 0 && mod.display ? 1 : 0;
}, ";z-index:", function (_ref2) {
  var mod = _ref2.mod;
  return mod !== null && mod !== void 0 && mod.display ? 60 : -1;
}, ";will-change:transform;transform:", function (_ref3) {
  var mod = _ref3.mod;
  return mod !== null && mod !== void 0 && mod.display ? 'translateY(-50%) scale(1)' : 'translateY(-50%) scale(0.9)';
}, ";transition-property:opacity,transform;transition-duration:", function (_ref4) {
  var mod = _ref4.mod;
  return mod !== null && mod !== void 0 && mod.display ? durationT3 : durationT2;
}, ";transition-timing-function:", function (_ref5) {
  var mod = _ref5.mod;
  return mod !== null && mod !== void 0 && mod.display ? easeOut : easeInOut;
}, ";");
export var Title = function Title(_ref6) {
  var illustration = _ref6.illustration,
      icon = _ref6.icon;
  return css({
    margin: illustration || icon ? "16px 0" : "0 0 16px",
    color: NN950
  });
};
export var Description = css("margin:0 0 32px;color:", NN600, ";");
export var Action = styled('div', {
  target: "esqyvjn1"
})("display:flex;justify-content:flex-end;flex-direction:", function (_ref7) {
  var longAction = _ref7.longAction;
  return longAction ? 'column' : 'row-reverse';
}, ";align-items:", function (_ref8) {
  var longAction = _ref8.longAction;
  return longAction ? 'flex-end' : 'inherit';
}, ";");
export var Image = styled('img', {
  target: "esqyvjn2"
})("width:", function (_ref9) {
  var icon = _ref9.icon;
  return icon ? '80px' : '180px';
}, ";height:", function (_ref10) {
  var icon = _ref10.icon;
  return icon ? '80px' : '180px';
}, ";max-width:100%;border-radius:10px;z-index:10;");
export var card = function card(_ref11) {
  var icon = _ref11.icon,
      illustration = _ref11.illustration;
  return css({
    textAlign: 'center',
    padding: illustration || icon ? '30px 16px 16px' : '24px 16px 16px'
  });
};
export var primaryAction = css("margin-bottom:8px;");
export var secondaryAction = function secondaryAction(_ref12) {
  var actionSecondaryBorder = _ref12.actionSecondaryBorder,
      longAction = _ref12.longAction;
  return css({
    marginRight: longAction ? '0' : '8px',
    border: actionSecondaryBorder ? "1px solid ".concat(GN500) : 'none',
    color: actionSecondaryBorder ? GN500 : NN600
  });
};