import styled, { css, keyframes } from 'react-emotion';
import { GN500, NN50, YN300 } from 'unify-token/colors';
var loaderAnim = keyframes("0%{background-color:", YN300, ";transform:scaleX(0);}25%{transform:scaleX(0);}50%{transform:scaleX(1);}75%{transform:scaleX(1);}100%{background-color:", YN300, ";transform:translateX(100%);}");
export var unf_indeterminate_loader = css("display:flex;flex-direction:row;");
export var Container = styled("div", {
  target: "eh50ilr0"
})("width:100%;position:relative;overflow:hidden;height:3px;background-color:", NN50, ";z-index:30;", function (_ref) {
  var indeterminate = _ref.indeterminate;
  return indeterminate ? 'transform: rotate(180deg)' : '';
});
export var Stepper = styled('span', {
  target: "eh50ilr1"
})("overflow:hidden;position:relative;display:block;height:inherit;background-color:", GN500, ";transition:transform 0.4s ease-in;transform-origin:left;transform:scaleX(", function (_ref2) {
  var step = _ref2.step;
  return parseInt(step, 10) / 100;
}, ");border-radius:0 4px 4px 0;");
export var LoadingStepper = styled("span", {
  target: "eh50ilr2"
})("position:absolute;top:0;width:100%;display:block;height:inherit;transition:all 0.24s ease;transform-origin:left;", function (_ref3) {
  var pause = _ref3.pause,
      indeterminate = _ref3.indeterminate;
  return pause ? "animation: ".concat(loaderAnim, " ").concat(indeterminate ? 2.4 : 3.2, "s cubic-bezier(0.645, 0.045, 0.355, 1) infinite;") : '';
});