import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["onClick", "children", "setRef"];
import React from 'react';
import Container from "./style";

var Link = function Link(props) {
  var onClick = props.onClick,
      children = props.children,
      setRef = props.setRef,
      linkProps = _objectWithoutProperties(props, _excluded);

  var renderLink = function renderLink() {
    return typeof onClick === 'string' ? React.createElement(Container, _extends({
      innerRef: setRef,
      "data-unify": "Link",
      href: onClick
    }, linkProps), children) : React.createElement(Container, _extends({
      innerRef: setRef,
      "data-unify": "Link",
      onClick: onClick
    }, linkProps), children);
  };

  return renderLink();
};

Link.defaultProps = {
  fontSize: 12
};
export default Link;