import styled from 'react-emotion';
import { fontSizeLv2, fontSizeLv3 } from 'unify-token/build/v2/typographies';
import { GN500 } from 'unify-token/colors';
import { fontSize as calcSize } from "../../build/Providers/styles";

var handleFontSize = function handleFontSize(_ref) {
  var small = _ref.small,
      large = _ref.large,
      fontSize = _ref.fontSize;

  switch (true) {
    case small:
      return fontSizeLv2;

    case large:
      return fontSizeLv3;

    case fontSize !== undefined:
      return calcSize(fontSize);

    default:
      return fontSizeLv2;
  }
};

var Container = styled('a', {
  target: "edb4e470"
})("width:", function (props) {
  return props.block ? '100%' : '';
}, ";color:", GN500, ";font-size:", handleFontSize, ";text-decoration:none;cursor:pointer;");
export default Container;