import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["height", "marginBottom", "shimmer", "width"];
import React from 'react';
import { Circle } from "../../build/Providers/styles/Loader/_SharedLoaderStyle";

var LoaderCircle = function LoaderCircle(_ref) {
  var _ref$height = _ref.height,
      height = _ref$height === void 0 ? '48px' : _ref$height,
      _ref$marginBottom = _ref.marginBottom,
      marginBottom = _ref$marginBottom === void 0 ? '16px' : _ref$marginBottom,
      _ref$shimmer = _ref.shimmer,
      shimmer = _ref$shimmer === void 0 ? true : _ref$shimmer,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? '48px' : _ref$width,
      otherProps = _objectWithoutProperties(_ref, _excluded);

  return React.createElement(Circle, _extends({
    "data-unify": "LoaderCircle",
    height: height,
    marginBottom: marginBottom,
    shimmer: shimmer,
    width: width
  }, otherProps));
};

export default LoaderCircle;