import styled, { keyframes } from 'react-emotion';
import sprite from "./sprite.svg";
var baseDimension = 36;
var _ref = "0%{transform:scale(";
var _ref2 = ") translate3d(0,0,0);}100%{transform:scale(";
var _ref3 = ") translate3d(-100%,0,0);}";

var keyframeLoader = function keyframeLoader(scale) {
  var newScale = scale ? (parseFloat(String(scale)) / baseDimension).toFixed(5) : 1;
  return keyframes(_ref, newScale, _ref2, newScale, _ref3);
};

export var Container = styled("div", {
  target: "ee07y6m0"
})("width:", function (_ref4) {
  var componentSize = _ref4.componentSize;
  return componentSize;
}, "px;height:", function (_ref5) {
  var componentSize = _ref5.componentSize;
  return componentSize;
}, "px;overflow:hidden;position:relative;&::before{content:'';display:block;width:1404px;height:inherit;animation-name:", function (_ref6) {
  var componentSize = _ref6.componentSize;
  return keyframeLoader(componentSize);
}, ";animation-duration:1300ms;animation-timing-function:steps(39);animation-iteration-count:infinite;background-image:url(", sprite, ");background-repeat:no-repeat;background-position:left center;transform-origin:left center;will-change:transform;}");