import React from 'react';
declare type LoaderLineAttributes = React.ComponentPropsWithoutRef<'div'>;
export interface LoaderLineProps extends Omit<LoaderLineAttributes, 'css'> {
    /**
     * To set height
     * @default '4px'
     */
    borderRadius?: string;
    /**
     * To set height
     * @default '48px'
     */
    height?: string;
    /**
     * To set margin bottom
     * @default '16px'
     */
    marginBottom?: string;
    /**
     * To set animation shimmer
     * @default true
     */
    shimmer?: boolean;
    /**
     * To set width
     * @default '48px'
     */
    width?: string;
}
export {};
