import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _assertThisInitialized from "@babel/runtime/helpers/assertThisInitialized";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React, { PureComponent } from 'react';
import LoaderLine from "../../build/LoaderLine";
import LoaderSquare from "../../build/LoaderSquare";
import { List, ListItem } from "../../build/Providers/styles/Loader/_SharedLoaderStyle";
import { canUseDOM } from "../../build/Providers/common/functions";

var LoaderList = function (_PureComponent) {
  _inherits(LoaderList, _PureComponent);

  var _super = _createSuper(LoaderList);

  function LoaderList() {
    var _this;

    _classCallCheck(this, LoaderList);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "renderItems", function () {
      var items = [];

      for (var i = 0; i < 8; i++) {
        items.push(React.createElement("div", {
          key: i,
          className: ListItem
        }, React.createElement(LoaderSquare, {
          width: "42px",
          paddingBottom: "0",
          marginBottom: "0",
          style: {
            marginRight: 16,
            height: 42
          }
        }), React.createElement("div", {
          style: {
            flex: 1
          }
        }, React.createElement(LoaderLine, {
          width: "72%",
          height: "8px",
          marginBottom: "16px"
        }), React.createElement(LoaderLine, {
          width: "40%",
          height: "8px",
          marginBottom: "0"
        }))));
      }

      return items;
    });

    return _this;
  }

  _createClass(LoaderList, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      canUseDOM && (document.body.scrollTop = document.documentElement.scrollTop = 0);
      canUseDOM && (document.body.style.overflow = 'hidden');
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      canUseDOM && (document.body.style.overflow = null);
    }
  }, {
    key: "render",
    value: function render() {
      return React.createElement("div", {
        className: List,
        "data-unify": "LoaderList"
      }, this.renderItems());
    }
  }]);

  return LoaderList;
}(PureComponent);

export default LoaderList;