import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["marginBottom", "paddingBottom", "shimmer", "width"];
import React from 'react';
import { Square } from "../../build/Providers/styles/Loader/_SharedLoaderStyle";

var LoaderSquare = function LoaderSquare(_ref) {
  var _ref$marginBottom = _ref.marginBottom,
      marginBottom = _ref$marginBottom === void 0 ? '16px' : _ref$marginBottom,
      _ref$paddingBottom = _ref.paddingBottom,
      paddingBottom = _ref$paddingBottom === void 0 ? '100%' : _ref$paddingBottom,
      _ref$shimmer = _ref.shimmer,
      shimmer = _ref$shimmer === void 0 ? true : _ref$shimmer,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? '100%' : _ref$width,
      otherProps = _objectWithoutProperties(_ref, _excluded);

  return React.createElement(Square, _extends({
    "data-unify": "LoaderSquare",
    marginBottom: marginBottom,
    paddingBottom: paddingBottom,
    shimmer: shimmer,
    width: width
  }, otherProps));
};

export default LoaderSquare;