import React from 'react';
declare type LoaderSquareAttributes = React.ComponentPropsWithoutRef<'div'>;
export interface LoaderSquareProps extends Omit<LoaderSquareAttributes, 'css'> {
    /**
     * To set margin bottom
     * @default '16px'
     */
    marginBottom?: string;
    /**
     * To set padding bottom
     * @default '100%'
     */
    paddingBottom?: string;
    /**
     * To set animation shimmer
     * @default true
     */
    shimmer?: boolean;
    /**
     * To set width
     * @default '48px'
     */
    width?: string;
}
export {};
