import styled, { css } from 'react-emotion';
import { NN0 } from 'unify-token/colors';
import { focusStyle } from "../../build/Providers/common/style";
var COLOR_SHADOW_LIGHT = '0px 1px 4px rgba(141, 150, 170, 0.4)';
var COLOR_SHADOW_DARK = '0px 1px 6px rgba(0, 0, 0, 0.12)';
var Wrapper = styled('div', {
  target: "e18lr3ww0"
})("label:unf-localload;display:flex;align-items:center;justify-content:space-between;");
var IconWrapper = styled('button', {
  target: "e18lr3ww1"
})("position:relative;width:40px;height:40px;border:none;border-radius:24px;background-color:", NN0, ";margin-left:12px;padding:20px;box-shadow:", function (_ref) {
  var isDarkMode = _ref.isDarkMode;
  return isDarkMode ? COLOR_SHADOW_DARK : COLOR_SHADOW_LIGHT;
}, ";", focusStyle, ";svg.unf-icon{position:absolute;top:50%;left:50%;opacity:", function (_ref2) {
  var loading = _ref2.loading;
  return loading ? 0 : 1;
}, ";transform-origin:0% 0%;transform:", function (_ref3) {
  var loading = _ref3.loading;
  return loading ? 'rotate(360deg) translate(-50%, -50%)' : 'rotate(0deg) translate(-50%, -50%)';
}, ";transition:all 0.6s linear;}");
export { IconWrapper, Wrapper };
export var BackgroundStyle = css("position:absolute;top:0;right:0;border-radius:8px;");