import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["className"];
import React from 'react';
import { cx } from 'react-emotion';
import { _tabContent } from "./styles";

var TabContent = function TabContent(_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, _excluded);

  return React.createElement("div", _extends({}, props, {
    tabIndex: 0,
    role: "tabpanel",
    "data-unify": "MegaTab.Content",
    className: cx(_tabContent, 'megaTab__content', className)
  }));
};

export default TabContent;