import React from 'react';
interface menuList {
    link?: string;
    text?: string;
    onClick?: () => void;
}
export interface MicroHeaderProps {
    menuList?: menuList[];
    onClose?: () => void;
    onOpen?: () => void;
    title?: {
        link?: string;
        text?: string;
    };
    topPosition?: number;
}
declare class MicroHeader extends React.PureComponent<MicroHeaderProps> {
    state: {
        isMenuOpen: boolean;
    };
    menuButtonToggle: () => void;
    closeMenu: () => void;
    getMenuContainer: (node: any) => void;
    getMenuElement: (menuList: any) => any;
    render(): JSX.Element;
}
export default MicroHeader;
