import { css } from 'react-emotion';
import { colorTextDisabled, colorTextHigh } from 'unify-token/build/v2/colors';
import { NN0, NN100, NN300, GN500, RN500 } from 'unify-token/colors';
import hexToRgba from "../../build/Providers/common/functions/hexToRgba";
var wrapperStyle = css("display:inline-block;.unf-otp-field__input-group{display:flex;.unf-otp-field__input{background-color:transparent;border:none;color:", colorTextHigh, ";font-family:inherit;font-style:normal;font-weight:800;font-size:32px;line-height:34px;outline:none;padding:1px 2px;text-align:center;width:1.2em;::placeholder{color:", hexToRgba(NN100, 0.44), ";opacity:1;}:disabled{color:", colorTextDisabled, ";}&--dark{color:", NN0, ";}}}.unf-otp-field__underline{background-color:", hexToRgba(NN300, 0.5), ";border-radius:2px;height:2px;margin-top:4px;transition:background-color 300ms ease-in-out;width:100%;&--active{background-color:", GN500, ";}&--error{background-color:", RN500, ";}}");
export default wrapperStyle;