import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _assertThisInitialized from "@babel/runtime/helpers/assertThisInitialized";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React from 'react';

var SkipServer = function (_React$PureComponent) {
  _inherits(SkipServer, _React$PureComponent);

  var _super = _createSuper(SkipServer);

  function SkipServer() {
    var _this;

    _classCallCheck(this, SkipServer);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "state", {
      shouldRender: false
    });

    return _this;
  }

  _createClass(SkipServer, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      window.requestAnimationFrame(function () {
        window.requestAnimationFrame(function () {
          return _this2.setState({
            shouldRender: true
          });
        });
      });
    }
  }, {
    key: "render",
    value: function render() {
      if (process.env.NODE_ENV === 'test') {
        return this.props.children;
      }

      return this.state.shouldRender ? this.props.children : null;
    }
  }]);

  return SkipServer;
}(React.PureComponent);

export default SkipServer;