import _typeof from "@babel/runtime/helpers/typeof";
export default (function () {
  var classArray = [];

  for (var _len = arguments.length, classNames = new Array(_len), _key = 0; _key < _len; _key++) {
    classNames[_key] = arguments[_key];
  }

  [].concat(classNames).map(function (className) {
    if (typeof className === 'string') {
      classArray.push(className);
    } else if (_typeof(className) === 'object') {
      Object.keys(className).map(function (objClassName) {
        return className[objClassName] && classArray.push(objClassName);
      });
    }
  });
  return classArray.join(' ');
});