export default (function (targetTop, targetLeft, elementRect, container) {
  var _ctrBound$width, _ctrBound$height;

  var ctrBound = container ? container.getBoundingClientRect() : {};
  var ctrWidth = (_ctrBound$width = ctrBound.width) !== null && _ctrBound$width !== void 0 ? _ctrBound$width : window.innerWidth;
  var ctrHeight = (_ctrBound$height = ctrBound.height) !== null && _ctrBound$height !== void 0 ? _ctrBound$height : window.innerHeight;
  var ctrTop = ctrBound.top ? ctrBound.top + window.scrollY : 0 + window.scrollY;
  var ctrLeft = ctrBound.left ? ctrBound.left + window.scrollX : 0 + window.scrollX;
  var elemWidth = elementRect.width ? elementRect.width : 0;
  var elemHeight = elementRect.height ? elementRect.height : 0;
  return {
    top: targetTop < ctrTop ? true : false,
    right: targetLeft + elemWidth > ctrLeft + ctrWidth ? true : false,
    bottom: targetTop + elemHeight > ctrTop + ctrHeight ? true : false,
    left: targetLeft < ctrLeft ? true : false
  };
});