import addClass from "./addClass";
export default (function (text, priority) {
  var el = document.createElement('div');
  var id = "screen-speak-".concat(Date.now());
  el.setAttribute('id', id);
  el.setAttribute('aria-live', priority || 'polite');
  el.setAttribute('style', 'position: absolute; top: -9999px; left: -9999px;');
  addClass('sr-only', el);
  document.body.appendChild(el);

  if (window) {
    window.setTimeout(function () {
      document.getElementById(id).innerHTML = text;
    }, 100);
    window.setTimeout(function () {
      document.body.removeChild(document.getElementById(id));
    }, 1000);
  }
});