export default {
  response_no_connection: {
    title: 'Oh no! You’ve lost your connection',
    description: 'Make sure you’re connected to internet by checking mobile data, WiFi, and signal at your place.',
    desktop_action_text: '',
    desktop_action_secondary_text: '',
    mobile_action_text: 'Try Again',
    mobile_action_secondary_text: 'Check Phone Setting'
  },
  response_not_found: {
    title: 'Oops, we can’t find your destination',
    description: 'Maybe you took the wrong route or address. Let’s go back before it gets dark!',
    desktop_action_text: '',
    desktop_action_secondary_text: '',
    mobile_action_text: 'Go To Homepage',
    mobile_action_secondary_text: ''
  },
  response_down: {
    title: 'We need to fix something',
    description: 'Wait a bit, let Toped fix that first. Please try again or come back later.',
    desktop_action_text: '',
    desktop_action_secondary_text: '',
    mobile_action_text: 'Go To Homepage',
    mobile_action_secondary_text: ''
  },
  response_full: {
    title: 'Too many guests at this moment',
    description: 'Don’t worry, we’ll save a seat for you to have some fun with us. Please come back later.',
    desktop_action_text: '',
    desktop_action_secondary_text: '',
    mobile_action_text: 'Try Again',
    mobile_action_secondary_text: ''
  },
  response_maintenance: {
    title: 'Time to clean the house!',
    description: 'We’re cleaning the house so your transactions will be smoother than ever. Please come back later.',
    desktop_action_text: '',
    desktop_action_secondary_text: '',
    mobile_action_text: 'Go To Homepage',
    mobile_action_secondary_text: ''
  }
};