import ReactDOM from 'react-dom';
import { any, node } from 'prop-types';
import canUseDOM from "../functions/canUseDOM";

var UnifyPortal = function UnifyPortal(props) {
  var children = props.children,
      node = props.node;

  if (!canUseDOM) {
    return null;
  }

  return ReactDOM.createPortal(children, node || document.body);
};

UnifyPortal.propTypes = {
  children: node.isRequired,
  node: any
};
export default UnifyPortal;