import React from 'react';

var RichTextEditorHeadline = function RichTextEditorHeadline(props) {
  var command = props.command,
      onClick = props.onClick,
      children = props.children;

  var handleClick = function handleClick() {
    onClick(command);
  };

  return React.createElement("div", {
    className: "headlines"
  }, command === 'h1' ? React.createElement("button", {
    className: command,
    onClick: handleClick
  }, children ? children : 'H1') : command === 'h2' ? React.createElement("button", {
    className: command,
    onClick: handleClick
  }, children ? children : 'H2') : command === 'h3' ? React.createElement("button", {
    className: command,
    onClick: handleClick
  }, children ? children : 'H3') : null);
};

export default RichTextEditorHeadline;