import { css } from 'react-emotion';
import { lineHeightLv3, fontSizeLv3 } from 'unify-token/build/v2/typographies';
import { NN0, NN200, NN600, NN950 } from 'unify-token/colors';
var _ref = "label:unf-searchbar;position:relative;margin:";
var _ref2 = ";display:flex;align-items:center;gap:4px;height:36px;padding:8px;border-radius:8px;background-color:";
var _ref3 = ";border:";
var _ref4 = ";transition:margin 0.24s ease;";
export var searchWrapper = function searchWrapper(props) {
  var block = props.block,
      margin = props.margin,
      borderless = props.borderless;

  var getMargin = function getMargin() {
    if (margin) {
      return margin;
    } else if (block) {
      return '0';
    } else {
      return '4px 16px';
    }
  };

  return css(_ref, getMargin(), _ref2, NN0, _ref3, borderless ? 'none' : "1px solid ".concat(NN200), _ref4);
};
export var searchInput = css("display:block;border:none !important;width:100%;flex:1 1 auto;outline:none;background-color:transparent;font-family:inherit;font-size:", fontSizeLv3, ";line-height:", lineHeightLv3, ";color:", NN950, ";padding:1px 2px !important;&::placeholder{color:", NN600, ";}&::-webkit-search-decoration,&::-webkit-search-cancel-button,&::-webkit-search-results-button,&::-webkit-search-results-decoration{display:none;}");
export var searchIconWrapper = css("flex:0 0 16px;");
export var actionButton = css("width:16px;height:32px;cursor:pointer;padding:0px;background-color:transparent;border:0;outline:none;");