import styled, { keyframes, css } from 'react-emotion';
import { NN100, NN200 } from 'unify-token/colors';
import stripUnits from "../../build/Providers/common/functions/stripUnits";
var ARC_GAP = 32;
var _ref2 = "0%{background-position:-";
var _ref3 = "px 0;}100%{background-position:";
var _ref4 = "px 0;}";

var anim_shimmer = function anim_shimmer(_ref) {
  var width = _ref.width;
  return keyframes(_ref2, stripUnits(width) + ARC_GAP, _ref3, stripUnits(width) + ARC_GAP, _ref4);
};

var _ref6 = "display:block;height:";
var _ref7 = ";width:";
var _ref8 = ";background:";
var _ref9 = ";margin-bottom:8px;background-image:linear-gradient(105.02deg,transparent,";
var _ref10 = ",";
var _ref11 = ",";
var _ref12 = ",transparent);background-size:100%;background-repeat:no-repeat;animation:";
var _ref13 = " 1.3s linear 1ms infinite backwards;";

var loaderStyle = function loaderStyle(_ref5) {
  var height = _ref5.height,
      width = _ref5.width;
  return css(_ref6, height, _ref7, width, _ref8, NN100, _ref9, NN100, _ref10, NN200, _ref11, NN100, _ref12, anim_shimmer({
    width: width
  }), _ref13);
};

export var Line = styled('span', {
  target: "ec1kkz70"
})("label:unf-loader-shimmer-line;border-radius:4px;", loaderStyle, ";");
export var Circle = styled('span', {
  target: "ec1kkz71"
})("label:unf-loader-shimmer-circle;border-radius:50%;", loaderStyle, ";");
export var MaskContainer = styled('div', {
  target: "ec1kkz72"
})("position:relative;height:", function (_ref14) {
  var height = _ref14.height;
  return height;
}, ";width:", function (_ref15) {
  var width = _ref15.width;
  return width;
}, ";& > *{position:absolute;top:0;left:0;}& img{z-index:10;}");