import { PureComponent } from 'react';
interface menuList {
    text?: string;
    onClick?: (() => void) | string;
}
export interface SubNavBarProps {
    className?: string;
    display?: boolean;
    menuList?: menuList[];
    title?: {
        text?: string;
        link?: string | (() => void);
    };
    onClick?: () => void;
    onClose?: () => void;
    onSwipeDown?: () => void;
}
declare class SubNavBar extends PureComponent<SubNavBarProps> {
    state: {
        isDisplay: boolean;
        yPoint: number;
    };
    componentDidUpdate: (prevProps: any) => void;
    setMenuRef: (node: any) => void;
    setTranslate: (yPos: any) => void;
    handleTouchStart: (e: any) => void;
    handleTouchMove: (e: any) => void;
    handleTouchEnd: (e: any) => void;
    handleClose: (e: any) => void;
    unmountAnimationDelay: number;
    render(): JSX.Element;
}
export default SubNavBar;
