import styled from 'react-emotion';
import { NN50L, GN500L } from 'unify-token/colors';
import { fontSizeLv3, lineHeightLv1 } from 'unify-token/build/v2/typographies';
import icon_caret_down from "../../build/Providers/assets/NavBar/icon-caret-down.svg";
import icon_close from "../../build/Providers/assets/NavBar/icon-close.svg";
var Container = styled('div', {
  target: "eqqd8610"
})("label:unf-subnavbar;height:52px;");
var Icon = styled('div', {
  target: "eqqd8611"
})("width:52px;height:100%;position:relative;flex:1;&:before{content:'';width:100%;height:100%;background-color:transparent;background-repeat:no-repeat;background-position:center right;background-size:", function (_ref) {
  var display = _ref.display;
  return display ? '20px 20px' : '20px 12px';
}, ";background-image:", function (_ref2) {
  var display = _ref2.display;
  return display ? "url(\"".concat(icon_close, "\")") : "url(\"".concat(icon_caret_down, "\")");
}, ";position:absolute;top:0;right:0;bottom:0;left:0;margin:auto;margin-right:16px;}");
var Wrapper = styled('div', {
  target: "eqqd8612"
})("height:100%;z-index:35;position:relative;right:0;left:0;background:white;display:flex;align-items:center;a{font-size:17px;line-height:1.3;font-weight:600;margin:0;padding-left:16px;color:", GN500L, ";}");
var ListWrapper = styled('div', {
  target: "eqqd8613"
})("max-height:50vh;overflow:auto;");
var Menu = styled('div', {
  target: "eqqd8614"
})("label:unf-subnavbar-menu;display:block;border-bottom-left-radius:16px;border-bottom-right-radius:16px;position:relative;z-index:", function (_ref3) {
  var display = _ref3.display;
  return display ? 30 : 1;
}, ";background:white;margin:0;box-shadow:0 4px 12px 0 rgba(0,0,0,0.12);transform:", function (_ref4) {
  var yPoint = _ref4.yPoint;
  return yPoint ? "translateY(".concat(yPoint, "%)") : 'none';
}, ";transition:transform 0.3s cubic-bezier(0.215,0.61,0.355,1);& .unf-list{margin:0;margin-bottom:24px;}");
var Handle = styled('div', {
  target: "eqqd8615"
})("display:block;position:absolute;background:white;bottom:0;left:0;right:0;height:21px;&:before{content:'';display:block;background:", NN50L, ";width:28px;height:4px;border-radius:2px;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);}");
var LinkText = styled('div', {
  target: "eqqd8616"
})("margin:8px 0;color:rgba(0,0,0,0.7);font-size:", fontSizeLv3, ";line-height:", lineHeightLv1, ";white-space:nowrap;text-overflow:ellipsis;overflow:hidden;");
export { Container, Handle, Icon, LinkText, ListWrapper, Menu, Wrapper };