import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["className", "children"];
import React from 'react';
import { cx } from 'emotion';
import { Container } from "./style";

var Subheader = function Subheader(props) {
  var className = props.className,
      children = props.children,
      subheaderProps = _objectWithoutProperties(props, _excluded);

  var classes = cx("unf-subheader", className);
  return React.createElement(Container, _extends({
    className: classes,
    "data-unify": "Subheader"
  }, subheaderProps), children);
};

export default Subheader;