import styled, { css } from 'react-emotion';
import { colorShadow, colorTextPlaceholder } from 'unify-token/build/v2/colors';
import { GN500, NN0, NN50 } from 'unify-token/colors';
import { fontWeightRegular } from 'unify-token/build/v2/typographies';
export var Icon = styled('i', {
  target: "e13n3t100"
})("display:inline-block;width:", function (_ref) {
  var iconSize = _ref.iconSize;
  return iconSize;
}, "px;height:", function (_ref2) {
  var iconSize = _ref2.iconSize;
  return iconSize;
}, "px;font-weight:600;line-height:16px;margin-right:4px;background-image:url('", function (_ref3) {
  var icon = _ref3.icon;
  return icon;
}, "');background-position:right center;background-size:", function (_ref4) {
  var iconSize = _ref4.iconSize;
  return iconSize;
}, "px;border-radius:4px;background-repeat:no-repeat;vertical-align:middle;");
export var Content = styled("div", {
  target: "e13n3t101"
})("label:unf-tab-content;display:", function (_ref5) {
  var active = _ref5.active;
  return active ? 'block' : 'none';
}, ";padding:", function (_ref6) {
  var padding = _ref6.padding;
  return padding ? padding : '16px';
}, ";");
export var Item = styled('div', {
  target: "e13n3t102"
})("display:inline-block;box-sizing:border-box;height:100%;padding:16px;margin-right:0;line-height:normal;font-weight:", fontWeightRegular, ";transition:color 0.36s ease;color:", function (_ref7) {
  var active = _ref7.active;
  return active ? GN500 : colorTextPlaceholder;
}, ";text-transform:capitalize;border-bottom:2px solid ", function (_ref8) {
  var active = _ref8.active;
  return active ? GN500 : 'transparent';
}, ";", function (_ref9) {
  var last = _ref9.last;
  return last ? "margin-right: 0" : '';
}, ";span{margin-left:4px;font-weight:", fontWeightRegular, ";}[data-unf='unf-tab-notif']{margin-left:8px;}");
var flatContainerStyle = css("display:flex;flex-wrap:nowrap;flex:1;justify-content:space-evenly;");
export var Container = styled('div', {
  target: "e13n3t103"
})("label:unf-tab;position:relative;min-height:48px;white-space:nowrap;background-color:", NN0, ";overflow-x:", function (_ref10) {
  var flat = _ref10.flat;
  return flat ? 'hidden' : 'scroll';
}, ";box-shadow:", function (_ref11) {
  var noShadow = _ref11.noShadow;
  return noShadow ? 'none' : "0 2px 6px 0 ".concat(colorShadow);
}, ";", function (_ref12) {
  var noShadow = _ref12.noShadow;
  return noShadow && "border-bottom: 1px solid ".concat(NN50, ";");
}, " ", function (_ref13) {
  var flat = _ref13.flat;
  return flat && flatContainerStyle;
});