import styled from 'react-emotion';
import { fontSizeLv2, lineHeightLv3, fontWeightBold } from 'unify-token/build/v2/typographies';
import { NN100, NN300, NN950, NN50 } from 'unify-token/colors';
export var Container = styled("div", {
  target: "e1szgbre0"
})("label:unf-tips;font-size:", fontSizeLv2, ";line-height:", lineHeightLv3, ";color:", NN950, ";padding:12px;margin:", function (_ref) {
  var margin = _ref.margin;
  return margin ? margin : '16px';
}, ";background-color:", NN50, ";border-radius:8px;align-items:center;position:relative;overflow:hidden;border:1px solid ", NN300, ";");
export var IconContainer = styled("div", {
  target: "e1szgbre1"
})("position:absolute;right:-8px;top:-8px;height:40px;width:40px;border-radius:50%;background-color:", NN100, ";svg{position:absolute;right:11px;top:12px;}");
export var OrderedList = styled('ol', {
  target: "e1szgbre2"
})("list-style:none;counter-reset:unf-counter;margin:0;padding:0;margin-top:4px;li{display:flex;counter-increment:unf-counter;&:before{content:counter(unf-counter) '. ';color:", NN950, ";font-weight:", fontWeightBold, ";font-size:", fontSizeLv2, ";width:20px;}}");
export var UnorderedList = styled('ul', {
  target: "e1szgbre3"
})("margin:0;padding-left:12px;margin-top:4px;li{&:before{color:", NN950, ";font-weight:", fontWeightBold, ";}}");