import React from 'react';
interface ToolbarSuggestionType {
    text: string;
    active?: boolean;
    onSelect: () => void;
}
export interface ToolbarProps {
    suggestions?: object[];
    toolbarRef?: React.RefObject<HTMLDivElement>;
    onSelect?: (e: React.MouseEvent<HTMLDivElement>, suggestions: ToolbarSuggestionType[]) => void;
}
declare const Toolbar: {
    (props: ToolbarProps): JSX.Element;
    propTypes: {
        suggestions: import("prop-types").Requireable<object[]>;
        onSelect: import("prop-types").Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        suggestions: any[];
    };
};
export default Toolbar;
