import React from 'react';
export interface TooltipProps {
    /**
     * To specify button text inside Tooltip
     */
    actionText?: string;
    /**
     * To specify content on Tooltip
     */
    children?: React.ReactNode;
    /**
     * To pass custom className to create custom styles
     */
    className?: string;
    /**
     * To toggle visibility on Tooltip
     */
    display?: boolean;
    /**
     * To provide image url
     */
    image?: string;
    /**
     * To specify title text on Tooltip
     */
    title?: string;
    /**
     * To pass callback when action button is clicked
     */
    onActionClick?: (e: React.MouseEvent<HTMLButtonElement>) => void;
}
declare const wrapperElement: any;
export default wrapperElement;
