import styled from 'react-emotion';
import { colorTextHigh, colorTextLow } from 'unify-token/build/v2/colors';
import { NN0 } from 'unify-token/colors';
import { fontSizeLv3, lineHeightLv4 } from 'unify-token/build/v2/typographies';
export var Container = styled('div', {
  target: "ezcdy5f0"
})("label:unf-tooltip;position:fixed;bottom:0;left:0;width:100%;padding:16px;background-color:", NN0, ";box-shadow:0 -1px 7px 0 rgba(0,0,0,0.15);z-index:", function (_ref) {
  var display = _ref.mod.display;
  return display ? 60 : -1;
}, ";will-change:transform;transform:", function (_ref2) {
  var display = _ref2.mod.display;
  return display ? 'none' : 'translateY(100%)';
}, ";transition:", function (_ref3) {
  var display = _ref3.mod.display;
  return display ? 'transform 0.3s ease-out, z-index 0.3s ease-out;' : 'transform 0.2s ease-in,z-index 0.2s ease-in;';
}, ";");
export var Content = styled("div", {
  target: "ezcdy5f1"
})("font-size:", fontSizeLv3, ";min-height:75px;margin-bottom:24px;background-position:", function (_ref4) {
  var image = _ref4.image;
  return image && 'right center';
}, ";background-repeat:", function (_ref5) {
  var image = _ref5.image;
  return image && 'no-repeat';
}, ";background-size:", function (_ref6) {
  var image = _ref6.image;
  return image && '75px 75px';
}, ";padding-right:", function (_ref7) {
  var image = _ref7.image;
  return image && '91px';
}, ";");
export var Text = styled("div", {
  target: "ezcdy5f2"
})("margin-bottom:", function (_ref8) {
  var title = _ref8.title;
  return title && '8px';
}, ";line-height:", lineHeightLv4, ";color:", function (_ref9) {
  var title = _ref9.title;
  return title ? colorTextHigh : colorTextLow;
}, ";font-weight:", function (_ref10) {
  var title = _ref10.title;
  return title && 600;
}, ";");