import React from 'react';
export interface AmountProps {
    children?: React.ReactNode;
    disabled?: boolean;
    suffix?: string;
    lang?: 'en' | 'id';
    withChevron?: boolean;
    onClick?: (e: React.MouseEvent<HTMLButtonElement>) => void;
}
declare const Amount: {
    (props: AmountProps): JSX.Element;
    defaultProps: {
        lang: string;
        withChevron: boolean;
        onClick: () => void;
    };
    propTypes: {
        children: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
        disabled: import("prop-types").Requireable<boolean>;
        lang: import("prop-types").Requireable<string>;
        suffix: import("prop-types").Requireable<string>;
        withChevron: import("prop-types").Requireable<boolean>;
        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
    };
};
export default Amount;
