import React from 'react';
export interface ContainerProps {
    bottom?: number;
    buttonProps?: object;
    children?: React.ReactNode;
    collapsibleInfo?: React.ReactNode;
    description?: object;
    disabled?: boolean;
    fixed?: boolean;
    loading?: boolean;
    zIndex?: number;
}
declare const Container: {
    (props: ContainerProps): JSX.Element;
    defaultProps: {
        fixed: boolean;
        buttonProps: {
            filled: boolean;
            main: boolean;
        };
        zIndex: number;
        bottom: number;
    };
    propTypes: {
        bottom: import("prop-types").Requireable<number>;
        buttonProps: import("prop-types").Requireable<object>;
        children: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
        collapsibleInfo: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
        description: import("prop-types").Requireable<object>;
        disabled: import("prop-types").Requireable<boolean>;
        fixed: import("prop-types").Requireable<boolean>;
        loading: import("prop-types").Requireable<boolean>;
        zIndex: import("prop-types").Requireable<number>;
    };
};
export default Container;
