import { PropsWithChildren } from 'react';
import { AccordionProps as Props } from './type';
export declare type AccordionProps = Props;
declare const Accordion: {
    ({ children, collapsed, contentProps, hasDivider, headerProps, icon, id, sticky, stickySectionProps, subTitle, title, titleTag, type, onClick, ...otherProps }: PropsWithChildren<AccordionProps>): JSX.Element;
    /**
     * This is Modular Component Accordion Header
     * If you only need the header section, you can write it in <Accordion.Header />
     */
    Header: any;
};
export default Accordion;
