import styled, { css } from 'react-emotion';
import { colorShadow } from 'unify-token/build/v2/colors';
import { spacingLv3, spacingLv2 } from 'unify-token/build/v2/spacings';
import { durationT1, durationT4, easeOut, easeOvershoot } from 'unify-token/build/v2/motions';
import { GN500, NN0, NN0RGB, NN950 } from 'unify-token/colors';
import { focusStyle } from "../../build/Providers/common/style";
export var Container = styled('div', {
  target: "e1soty090"
})("label:unf-bottomnav;position:fixed;bottom:0;left:0;height:56px;width:100%;padding:0;display:flex;flex-wrap:nowrap;justify-content:space-between;align-items:flex-start;background-color:", NN0, ";box-shadow:0 -2px 4px 0 ", colorShadow, ";z-index:20;padding-bottom:calc(56px + constant(safe-area-inset-bottom));padding-bottom:calc(56px + env(safe-area-inset-bottom));& *{box-sizing:border-box;}& *,& *::before,& *::after{box-sizing:inherit;}& .unf-rippleContainer{width:100%;display:block;& .unf-ripple{display:block;background-color:rgba(", NN0RGB, ",0.48);}}");
var _ref = "bottom:0;background-color:";
var _ref2 = ";";

var noWrapperStyle = function noWrapperStyle(props) {
  return css(_ref, NN0, _ref2, props.index && "left: ".concat(props.index * 20, "%"));
};

export var Item = styled('button', {
  target: "e1soty091"
})("display:flex;justify-content:center;align-items:center;flex-flow:column nowrap;position:", function (_ref3) {
  var noWrapper = _ref3.noWrapper;
  return noWrapper ? 'fixed' : 'relative';
}, ";z-index:", function (_ref4) {
  var highlight = _ref4.highlight;
  return highlight ? 60 : 0;
}, ";color:", function (_ref5) {
  var active = _ref5.active;
  return active ? GN500 : NN950;
}, ";text-align:center;padding:", spacingLv3, ";transition:color ", durationT1, " ", easeOut, ";white-space:nowrap;", function (_ref6) {
  var noWrapper = _ref6.noWrapper;
  return noWrapper && noWrapperStyle;
}, " background-color:transparent;border:none;", focusStyle, ";&:hover{cursor:pointer;}&:active{outline:none;}");
export var unf_bottomnav_indicator = css("width:12px;height:12px;border-radius:24px;position:absolute;top:6px;left:50%;transform:translateX(-50%);margin-left:", spacingLv3, ";z-index:10;border:2px solid ", NN0, ";");
export var unf_bottomnav_count = css("display:flex;border-radius:24px;padding:0px 4px;align-items:center;justify-content:center;position:absolute;top:4px;left:50%;transform:translateX(-50%);margin-left:10px;z-index:10;border:2px solid ", NN0, ";");
export var ImageContainer = styled('div', {
  target: "e1soty092"
})("display:block;position:relative;height:24px;width:24px;margin:auto;margin-bottom:", spacingLv2, ";overflow:hidden;transition:transform ", durationT1, " ", easeOut, ";&:active,&:focus{transform:scale(0.8);}& *{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);opacity:1;margin-top:0;margin-right:0;transition:opacity 0.1s ease-out;&.unf-bottomnav__item-image--hidden{opacity:0;margin-left:0;}}", function (_ref7) {
  var active = _ref7.active;
  return active && "transform: scale(1); transition: ".concat(durationT4, " ").concat(easeOvershoot, ";");
}, ";");
export var Image = styled('img', {
  target: "e1soty093"
})("width:100%;height:100%;opacity:", function (_ref8) {
  var hide = _ref8.hide;
  return hide ? 0 : 1;
}, ";margin-top:", function (_ref9) {
  var hide = _ref9.hide;
  return hide ? '8px' : 0;
}, ";margin-left:", function (_ref10) {
  var hide = _ref10.hide;
  return hide && 0;
}, ";");
export var ImageDiv = Image.withComponent('div', {
  target: "e1soty094"
});