/// <reference types="react" />
import { CoachmarkStepProps as Props } from './type';
export declare type CoachmarkStepProps = Props;
declare const CoachmarkStep: {
    ({ activeIndex, items, lang, show, showDelay, onChange, timeout, hiddenTimeout, onClose, onFinish, }: CoachmarkStepProps): JSX.Element;
    propTypes: {
        activeIndex: import("prop-types").Requireable<number>;
        hiddenTimeout: import("prop-types").Requireable<number>;
        items: import("prop-types").Requireable<object[]>;
        lang: import("prop-types").Requireable<string>;
        show: import("prop-types").Requireable<boolean>;
        showDelay: import("prop-types").Requireable<number>;
        timeout: import("prop-types").Requireable<number>;
        onChange: import("prop-types").Requireable<(...args: any[]) => any>;
        onClose: import("prop-types").Requireable<(...args: any[]) => any>;
        onFinish: import("prop-types").Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        activeIndex: number;
        items: any[];
        lang: string;
        show: boolean;
        showDelay: number;
        timeout: number;
        hiddenTimeout: number;
        onChange: () => void;
        onClose: () => void;
        onFinish: () => void;
    };
};
export default CoachmarkStep;
