import styled, { css } from 'react-emotion';
import { NN50, NN600, GN500 } from 'unify-token/colors';
import { durationT3, easeInOut } from 'unify-token/build/v2/motions';
import { fontSizeLv3, lineHeightLv2 } from 'unify-token/build/v2/typographies';
import { colorWhiteAlways, focusStyle } from "../../build/Providers/common/style";
export var Container = css("label:unf-content-switcher;border:none;outline:none;display:inline-block;position:relative;padding:4px;border-radius:8px;background-color:", NN50, ";overflow:hidden;width:100%;");
export var Item = styled('button', {
  target: "el03zd20"
})("flex:1 1 auto;position:relative;margin:0;padding:4px;font-size:", fontSizeLv3, ";line-height:", lineHeightLv2, ";background:transparent;outline:none;border:none;border-radius:6px;cursor:pointer;overflow:hidden;", focusStyle, ";&:focus-visible{outline-offset:0px;}& h1,h2,h3,h4,h5,h6{transition:color ", durationT3, " ", easeInOut, ";color:", function (_ref) {
  var active = _ref.active;
  return active ? colorWhiteAlways : NN600;
}, ";line-height:", lineHeightLv2, ";position:relative;z-index:2;}");
export var ItemContainer = css("display:flex;align-items:center;justify-content:space-around;flex-wrap:wrap;");
export var ItemHighlight = styled('div', {
  target: "el03zd21"
})("width:", function (props) {
  return props.width;
}, "px;height:", function (props) {
  return props.height;
}, "px;background-color:", GN500, ";z-index:1;border-radius:6px;position:absolute;top:0;left:0;transition:transform ", durationT3, " ", easeInOut, ";transform:", function (_ref2) {
  var xPos = _ref2.xPos,
      yPos = _ref2.yPos;
  return "translate(".concat(xPos, "px, ").concat(yPos, "px)");
}, ";");