import React from 'react';
import { DatepickerPanelInfoWrapper } from "./_DatepickerCalendarStyle";

var DatepickerPanelInfo = function DatepickerPanelInfo(_ref) {
  var messageInfo = _ref.messageInfo,
      _ref$alternateTitle = _ref.alternateTitle,
      alternateTitle = _ref$alternateTitle === void 0 ? '' : _ref$alternateTitle,
      _ref$lang = _ref.lang,
      lang = _ref$lang === void 0 ? 'id' : _ref$lang;
  return React.createElement(DatepickerPanelInfoWrapper, null, React.createElement("div", {
    className: "unf-info__content"
  }, messageInfo), React.createElement("div", {
    className: "unf-info__legend"
  }, React.createElement("div", {
    className: "unf-legend__items"
  }, React.createElement("div", {
    className: "unf-legend__logo today"
  }), " ", lang === 'id' ? 'Hari ini' : 'Today'), alternateTitle && React.createElement("div", {
    className: "unf-legend__items"
  }, React.createElement("div", {
    className: "unf-legend__logo alternate"
  }), " ", alternateTitle)));
};

export default DatepickerPanelInfo;