import React from 'react';
import { Day } from "./_DatepickerCalendarStyle";

var DatepickerWeekDay = function DatepickerWeekDay(_ref) {
  var dayLabel = _ref.dayLabel;
  var dayLabelSwap = [dayLabel[1], dayLabel[2], dayLabel[3], dayLabel[4], dayLabel[5], dayLabel[6], dayLabel[0]];
  var element = dayLabelSwap.map(function (day, index) {
    return React.createElement("div", {
      className: "datepicker-day__items".concat(index === 6 ? ' datepicker-day__items--holiday' : ''),
      key: index
    }, React.createElement("span", null, day));
  });
  return React.createElement(Day, {
    className: "datepicker-day"
  }, element);
};

export default DatepickerWeekDay;