import React from 'react';
import { DragAndDropContainer } from "../../build/Providers/common/components/Archive/DragAndDrop";
import DragAndDropListElement from "./_DragAndDropListElement";
var DragAndDropListContainer = DragAndDropContainer(function (_ref) {
  var items = _ref.items,
      onItemClick = _ref.onItemClick;
  return React.createElement("div", null, items.map(function (item, index) {
    return React.createElement(DragAndDropListElement, {
      key: index,
      index: index,
      item: item,
      onItemClick: onItemClick
    });
  }));
});
export default DragAndDropListContainer;