import React from 'react';
import { DragAndDropElement } from "../../build/Providers/common/components/Archive/DragAndDrop";
import Card from "../../build/Card";
import { Item, Text, Description } from "./_DragAndDropListStyle";

var DragAndDropListElement = function DragAndDropListElement(props) {
  var onItemClick = props.onItemClick,
      item = props.item;

  var handleClick = function handleClick() {
    onItemClick(item);
  };

  return React.createElement(Card, null, React.createElement(Item, null, React.createElement("div", null, item.text && React.createElement(Text, null, item.text), item.description && React.createElement(Description, null, item.description)), React.createElement("div", {
    className: "unf-list-drag-and-drop__action",
    onClick: handleClick,
    onKeyDown: handleClick,
    role: "button",
    tabIndex: "0"
  })));
};

export default DragAndDropElement(DragAndDropListElement);