import React from 'react';
export interface DragAndDropListProps {
    items?: Array<React.ReactNode>;
    onDragAndDropEnd?: () => void;
    onItemClick?: () => void;
}
declare const DragAndDropList: {
    (props: DragAndDropListProps): JSX.Element;
    propTypes: {
        items: import("prop-types").Validator<any[]>;
        onDragAndDropEnd: import("prop-types").Requireable<(...args: any[]) => any>;
        onItemClick: import("prop-types").Requireable<(...args: any[]) => any>;
    };
};
export default DragAndDropList;
