import React from 'react';
export interface FloatingProps {
    /**
     * To specify content inside floating
     */
    children?: React.ReactNode;
    /**
     * To pass custom className to create custom styles
     */
    className?: string;
}
declare const Floating: {
    (props: FloatingProps): JSX.Element;
    propTypes: {
        children: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
        className: import("prop-types").Requireable<string>;
    };
};
export default Floating;
