import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["children", "className"];
import React from 'react';
import { cx } from 'emotion';
import Container from "./style";

var Floating = function Floating(props) {
  var children = props.children,
      className = props.className,
      otherProps = _objectWithoutProperties(props, _excluded);

  var floatingClass = cx('unf-btn__floating-container', className);
  return React.createElement(Container, _extends({}, otherProps, {
    className: floatingClass,
    "data-unify": "Floating"
  }), children);
};

export default Floating;