import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["lang"];
import React from 'react';
import { BackToTop as IconBackToTop } from 'unify-icons/system';
import FloatingActionButton from '.';
var ariaLabel = {
  en: 'Back to top',
  id: 'Kembali ke atas'
};

var BackToTop = function BackToTop(_ref) {
  var _ref$lang = _ref.lang,
      lang = _ref$lang === void 0 ? 'id' : _ref$lang,
      otherProps = _objectWithoutProperties(_ref, _excluded);

  return React.createElement(FloatingActionButton, _extends({
    anchor: 0,
    "aria-label": ariaLabel[String(lang)],
    color: 'anchor',
    entryPoint: 400
  }, otherProps), React.createElement(IconBackToTop, null));
};

export default BackToTop;