import { css } from 'emotion';
import { GN500, NN50, NN0, NN600 } from 'unify-token/colors';
import { fontSizeLv3 } from 'unify-token/build/v2/typographies';
import icon_android from "./assets/footer-android.svg";
import icon_ios from "./assets/footer-ios.svg";
import icon_select from "./assets/select-arrow.svg";
var unf_footer = css("label:unf-footer;background-color:", NN0, ";color:", NN600, ";font-size:", fontSizeLv3, ";& .unf-footer__apps{box-shadow:none;margin-bottom:0;text-align:center;&-text{margin-bottom:16px;text-align:center;}&-icon{display:inline-block;margin:auto;& a{display:inline-block;width:104px;height:32px;&:first-child{margin-right:16px;}}&--ios,&--android{width:100%;height:100%;display:inline-block;background-image:none;border-radius:4px;background-image:linear-gradient(65deg,", NN50, ",", NN50, ");background-size:contain;background-repeat:no-repeat;}&--ios{&.visible{background-image:url(", icon_ios, ");}}&--android{&.visible{background-image:url(", icon_android, ");}}}}& .unf-footer__content{padding:8px 0;text-align:center;& div{margin-bottom:16px;display:inline-block;width:50%;&:last-child{margin-bottom:0;width:100%;}& a,& select{color:", GN500, ";text-decoration:underline;font-size:", fontSizeLv3, ";font-weight:600;outline:none;}& select{padding-left:4px;padding-right:14px;border:none;background-size:9px 6px;background-repeat:no-repeat;background-position:right center;background-color:transparent;-moz-appearance:none;-webkit-appearance:none;background-image:url('", icon_select, "');&::-ms-expand{display:none;}}&.unf-footer__content--flex{display:flex;justify-content:center;width:100%;& a{padding-right:10px;padding-left:10px;border-right:0.4px solid ", NN600, ";text-align:center;&:first-child{padding-left:0;}&:last-child{padding-right:0;border-right:none;}}}}}& .unf-footer__copyright{padding:16px;text-align:center;font-size:11px;}");
export { unf_footer };