import { css } from 'react-emotion';
import { fontSizeLv1, fontSizeLv2, lineHeightLv2 } from 'unify-token/build/v2/typographies';
import { NN50, NN600, NN950, NN0 } from 'unify-token/colors';
import { spacingLv2, spacingLv3, spacingLv4 } from 'unify-token/build/v2/spacings';
import { focusStyle } from "../../build/Providers/common/style";
var ICON_ANDROID = 'https://assets.tokopedia.net/asts/assets-unify/img/icon-download-android.svg';
var ICON_HUAWEI = 'https://assets.tokopedia.net/asts/assets-unify/img/icon-download-huawei.svg';
var ICON_IOS = 'https://assets.tokopedia.net/asts/assets-unify/img/icon-download-ios.svg';
var unf_footer = css("label:unf-footer;background-color:", NN0, ";border-top:1px solid ", NN50, ";color:", NN600, ";padding:", spacingLv4, ";width:100%;& .unf-footer__content{display:flex;flex-wrap:wrap;& a{color:", NN600, ";font-size:", fontSizeLv2, ";line-height:", lineHeightLv2, ";margin-bottom:", spacingLv2, ";text-decoration:none;", focusStyle, ";&::after{content:'';background-color:", NN600, ";display:inline-block;height:11px;margin:0 6px;vertical-align:middle;width:1px;}&:last-child{&::after{display:none;}}}}& .unf-footer__apps{margin:12px 0 ", spacingLv4, ";&-text{color:", NN950, ";font-size:", fontSizeLv2, ";font-weight:bold;line-height:", lineHeightLv2, ";}&-icon{margin-top:", spacingLv3, ";& a{display:inline-block;height:36px;width:122.5px;", focusStyle, ";&:first-child{margin-right:", spacingLv3, ";}}&--android,&--huawei,&--ios{background-image:none;background-image:linear-gradient(65deg,", NN50, ",", NN50, ");background-repeat:no-repeat;background-size:contain;border-radius:4px;display:inline-block;height:100%;width:100%;}&--android{&.visible{background-image:url(", ICON_ANDROID, ");}}&--ios{&.visible{background-image:url(", ICON_IOS, ");}}&--huawei{&.visible{background-image:url(", ICON_HUAWEI, ");}}}}& .unf-footer__language{height:34px;margin-bottom:", spacingLv4, ";max-width:200px;}& .unf-footer__copyright{font-size:", fontSizeLv1, ";line-height:14px;}");
export { unf_footer };