import React from 'react';
declare type LabelAttributes = React.ComponentPropsWithoutRef<'div'>;
export interface LabelProps extends Omit<LabelAttributes, 'onClick' | 'css'> {
    /**
     * To specify background color of Label
     */
    color?: 'orange' | 'red' | 'blue' | 'green' | 'teal' | 'grey';
    /**
     * To set the type of label
     */
    type?: 'highlight' | 'highlightImage' | 'highlightAlternate' | 'general';
}
export {};
