import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["dataTest", "headerActions", "headerContent", "subTitle", "title", "onClickBack"];
import React from 'react';
import NavBar from "../../build/NavBar";

var LightboxHeader = function LightboxHeader(props) {
  var dataTest = props.dataTest,
      headerActions = props.headerActions,
      headerContent = props.headerContent,
      subTitle = props.subTitle,
      title = props.title,
      onClickBack = props.onClickBack,
      otherProps = _objectWithoutProperties(props, _excluded);

  return React.createElement(NavBar, _extends({
    main: true,
    fixed: true,
    transparent: {
      persist: true
    },
    content: headerContent,
    title: title,
    subTitle: subTitle,
    backProps: {
      'data-testid': dataTest
    },
    onBack: onClickBack
  }, otherProps), headerActions);
};

export default LightboxHeader;