/// <reference types="react" />
export interface LinearProps {
    /**
     * To apply indeterminate loader
     */
    indeterminate?: boolean;
    /**
     * To apply indeterminate loader
     */
    loading?: boolean;
    /**
     * To specify loader progress
     */
    progress?: number;
}
declare const Linear: {
    (props: LinearProps): JSX.Element;
    propTypes: {
        indeterminate: import("prop-types").Requireable<boolean>;
        loading: import("prop-types").Requireable<boolean>;
        progress: import("prop-types").Requireable<number>;
    };
};
export default Linear;
