import React from 'react';
import { Container, LoadingStepper, Stepper, unf_indeterminate_loader } from "./style";

var Linear = function Linear(props) {
  var indeterminate = props.indeterminate,
      loading = props.loading,
      progress = props.progress;
  return indeterminate ? React.createElement("div", {
    className: unf_indeterminate_loader,
    "data-unify": "LoaderLinear"
  }, React.createElement(Container, {
    indeterminate: true
  }, React.createElement(Stepper, {
    reverse: !loading,
    step: loading ? 100 : 0
  }, React.createElement(LoadingStepper, {
    pause: true
  }))), React.createElement(Container, null, React.createElement(Stepper, {
    reverse: !loading,
    step: loading ? 100 : 0
  }, React.createElement(LoadingStepper, {
    pause: true
  })))) : React.createElement(Container, {
    "data-unify": "LoaderLinear"
  }, React.createElement(Stepper, {
    step: progress
  }, React.createElement(LoadingStepper, {
    indeterminate: true,
    pause: loading
  })));
};

export default Linear;