import React from 'react';
declare type LoaderCircleAttributes = React.ComponentPropsWithoutRef<'div'>;
export interface LoaderCircleProps extends Omit<LoaderCircleAttributes, 'css'> {
    /**
     * To set height
     * @default '48px'
     */
    height?: string;
    /**
     * To set margin bottom
     * @default '16px'
     */
    marginBottom?: string;
    /**
     * To set animation shimmer
     * @default true
     */
    shimmer?: boolean;
    /**
     * To set width
     * @default '48px'
     */
    width?: string;
}
export {};
