import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["borderRadius", "height", "marginBottom", "shimmer", "width"];
import React from 'react';
import { Line } from "../../build/Providers/styles/Loader/_SharedLoaderStyle";

var LoaderLine = function LoaderLine(_ref) {
  var _ref$borderRadius = _ref.borderRadius,
      borderRadius = _ref$borderRadius === void 0 ? '4px' : _ref$borderRadius,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? '8px' : _ref$height,
      _ref$marginBottom = _ref.marginBottom,
      marginBottom = _ref$marginBottom === void 0 ? '16px' : _ref$marginBottom,
      _ref$shimmer = _ref.shimmer,
      shimmer = _ref$shimmer === void 0 ? true : _ref$shimmer,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? '100%' : _ref$width,
      otherProps = _objectWithoutProperties(_ref, _excluded);

  return React.createElement(Line, _extends({
    "data-unify": "LoaderLine",
    borderRadius: borderRadius,
    height: height,
    marginBottom: marginBottom,
    shimmer: shimmer,
    width: width
  }, otherProps));
};

export default LoaderLine;