import styled from 'react-emotion';
import { keyframes } from 'emotion';
import { fontSizeLv4, fontSizeLv2 } from 'unify-token/build/v2/typographies';
var Container = styled('div', {
  target: "ejn03lg0"
})("padding:8px 16px;display:flex;justify-content:space-between;align-items:center;border:1px solid #e0e0e0;background-color:#fff;position:fixed;top:", function (props) {
  return props.top;
}, "px;left:0;right:0;");
var Title = styled('div', {
  target: "ejn03lg1"
})("line-height:27px;flex:2;padding-right:8px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;a{text-decoration:none;color:#42b549;font-size:", fontSizeLv4, ";}");
var MenuButton = styled("div", {
  target: "ejn03lg2"
})("font-size:", fontSizeLv2, ";line-height:27px;padding:0 16px;color:rgba(0,0,0,0.54);border:0.5px solid #e0e0e0;border-radius:20px;box-shadow:0 1px 6px 0 rgba(0,0,0,0.12);");
var fadeIn = keyframes("0%{margin-left:110%;}100%{margin-left:0;}");
var fadeOut = keyframes("0%{margin-left:0;}100%{margin-left:110%;}");
var MenuContainer = styled('div', {
  target: "ejn03lg3"
})("z-index:60;position:fixed;top:", function (props) {
  return props.top;
}, "px;left:70px;right:0;bottom:0;background-color:#fff;padding:8px 0 8px 16px;text-align:right;border-radius:30px 0 0 30px;box-shadow:-2px 2px 6px 0 rgba(0,0,0,0.12);margin-left:110%;animation:0.5s ", fadeIn, " forwards;&.unf_menu--close{animation:0.5s ", fadeOut, " forwards;}");
var CloseButton = styled('div', {
  target: "ejn03lg4"
})("display:inline-block;text-align:center;width:35px;line-height:35px;box-shadow:0 1px 6px 0 rgba(0,0,0,0.12);border:0.5px solid rgba(0,0,0,0.12);border-radius:50%;color:rgba(0,0,0,0.38);margin-right:24px;");
var MenuList = styled('ul', {
  target: "ejn03lg5"
})("height:calc(100% - 71px);text-align:left;margin:24px 0 16px;padding:0;list-style-type:none;overflow:auto;a{text-decoration:none;color:rgba(0,0,0,0.7);}");
var MenuItem = styled('li', {
  target: "ejn03lg6"
})("padding:24px 24px 24px 0;border-bottom:0.5px solid rgba(0,0,0,0.12);position:relative;font-size:", fontSizeLv2, ";color:rgba(0,0,0,0.7);white-space:nowrap;overflow:hidden;text-overflow:ellipsis;");
export { Container, Title, MenuButton, MenuContainer, CloseButton, MenuList, MenuItem };