import styled, { css } from 'react-emotion';
import { fontSizeLv3, lineHeightLv3 } from 'unify-token/build/v2/typographies';
import { colorTextLow } from 'unify-token/build/v2/colors';
import { GN500 } from 'unify-token/colors';
import { focusStyle } from "../../build/Providers/common/style";
export var Container = css("label:unf-pagination;position:relative;display:flex;justify-content:center;max-width:100%;");
export var ItemContainer = css("label:unf-pagination-items;position:relative;display:flex;flex:1 1 auto;height:24px;flex-direction:row;align-items:center;justify-content:center;margin:0;list-style:none;");
var activeItemStyle = css("position:relative;&::after{content:'';position:absolute;left:50%;bottom:-2px;width:16px;height:2px;border-radius:1px;opacity:1;background-color:", GN500, ";transform:translateX(-50%);}");
export var Item = styled("a", {
  target: "e119z6w50"
})("label:", function (_ref) {
  var active = _ref.active;
  return active ? 'unf-pagination-item-active' : 'unf-pagination-item';
}, ";display:inline-block;flex:0 0 32px;margin-left:4px;margin-right:4px;height:", function (_ref2) {
  var prev = _ref2.prev,
      next = _ref2.next;
  return prev || next ? '24px' : '20px';
}, ";min-width:20px;background-color:transparent;color:", function (_ref3) {
  var active = _ref3.active;
  return active ? GN500 : colorTextLow;
}, ";font-family:inherit;font-size:", fontSizeLv3, ";line-height:", lineHeightLv3, ";text-decoration:none;text-align:center;border:none;cursor:pointer;&::after{content:'';opacity:0;}", function (_ref4) {
  var active = _ref4.active;
  return active && activeItemStyle;
}, " ", focusStyle, ";");
export var ItemButton = Item.withComponent('button', {
  target: "e119z6w51"
});
export var NavItem = styled(Item, {
  target: "e119z6w52"
})(function (_ref5) {
  var prev = _ref5.prev;
  return prev && 'transform: scaleX(-1); margin-left: 0;';
}, ";", function (_ref6) {
  var next = _ref6.next;
  return next && 'margin-right: 0;';
}, ";");
export var NavButton = NavItem.withComponent('button', {
  target: "e119z6w53"
});