import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _assertThisInitialized from "@babel/runtime/helpers/assertThisInitialized";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React, { Component } from 'react';
var types = {
  MOUNT: 'mount',
  UNMOUNT: 'unmount'
};

var ReactDelayed = function (_Component) {
  _inherits(ReactDelayed, _Component);

  var _super = _createSuper(ReactDelayed);

  function ReactDelayed() {
    var _this;

    _classCallCheck(this, ReactDelayed);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "state", {
      mounted: typeof window === 'undefined' ? _this.props.mounted : false,
      deferred: undefined
    });

    _defineProperty(_assertThisInitialized(_this), "isComponentMounted", void 0);

    return _this;
  }

  _createClass(ReactDelayed, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.isComponentMounted = true;
      this.props.mounted === true && this.handleVisibility(types.MOUNT);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.isComponentMounted = false;
    }
  }, {
    key: "UNSAFE_componentWillReceiveProps",
    value: function UNSAFE_componentWillReceiveProps(nextProps) {
      this.props.mounted === false && nextProps.mounted === true && this.handleVisibility(types.MOUNT);
      this.props.mounted === true && nextProps.mounted === false && this.handleVisibility(types.UNMOUNT);
    }
  }, {
    key: "handleVisibility",
    value: function handleVisibility(type) {
      var _this2 = this;

      var mounted = type === types.MOUNT;
      var timeout = this.props["".concat(type, "After")];
      var invoker = timeout === 0 ? function (fn) {
        return fn();
      } : setTimeout;
      clearTimeout(this.state.deferred);
      var deferred = invoker(function () {
        return _this2.isComponentMounted && _this2.setState({
          mounted: mounted
        });
      }, timeout);
      this.setState({
        deferred: deferred
      });
    }
  }, {
    key: "render",
    value: function render() {
      return this.state.mounted ? typeof this.props.children === 'function' ? this.props.children() : this.props.children : React.createElement(this.props.nodeName, null);
    }
  }]);

  return ReactDelayed;
}(Component);

_defineProperty(ReactDelayed, "defaultProps", {
  mounted: false,
  mountAfter: 0,
  unmountAfter: 0,
  children: React.createElement("span", null),
  nodeName: 'span'
});

export { ReactDelayed as default };