export default (function (event) {
  if (event) {
    var isTouchEvent = event.type.toString().search('touch') !== -1;
    var eventPosition = isTouchEvent ? event.touches[0] : event;
    var clientX = eventPosition.clientX,
        clientY = eventPosition.clientY;
    return {
      clientX: clientX,
      clientY: clientY
    };
  }

  return {
    clientX: 0,
    clientY: 0
  };
});