export default (function (callback) {
  if (window.requestAnimationFrame || window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || window.oRequestAnimationFrame || window.msRequestAnimationFrame) {
    window.requestAnimationFrame(function () {
      window.requestAnimationFrame(callback);
    });
  } else {
    window.setTimeout(callback, 1000 / 60);
  }
});