export default (function (callback, limit) {
  var waiting = false;
  return function (event) {
    if (!waiting) {
      if (callback) callback(event);
      waiting = true;
      setTimeout(function () {
        waiting = false;
      }, limit);
    }
  };
});