var dictionary = {
  PageNotFound: {
    title: 'Oops, we can’t find your destination',
    description: 'Maybe you took the wrong route or address. Let’s go back before it gets dark!',
    actionText: 'Go To Homepage'
  },
  NoConnection: {
    title: 'Oh no! You’ve lost your connection',
    description: 'Make sure you’re connected to internet by checking mobile data, WiFi, and signal at your place.',
    actionText: 'Try Again',
    actionSecondaryText: 'Check Phone Setting'
  },
  Overload: {
    title: 'Too many guests at this moment',
    description: 'Don’t worry, we’ll save a seat for you to have some fun with us. Please come back later.',
    actionText: 'Try Again'
  },
  ServerError: {
    title: 'We need to fix something',
    description: 'Wait a bit, let Toped fix that first. Please try again or come back later.',
    actionText: 'Go To Homepage'
  },
  Maintenance: {
    title: 'Time to clean the house!',
    description: 'We’re cleaning the house so your transactions will be smoother than ever. Please come back later.',
    actionText: 'Go To Homepage'
  }
};
export default dictionary;