import styled, { keyframes } from 'react-emotion';
import { NN50, NN300, NN900, GN500, PN500L } from 'unify-token/colors';
import { durationT1, durationT2, easeOut } from 'unify-token/build/v2/motions';
var ripple1 = keyframes("from{width:24px;height:24px;opacity:0;}to{width:38px;height:38px;opacity:1;}");
var ripple2 = keyframes("from{width:38px;height:38px;opacity:1;}to{width:42px;height:42px;opacity:0;}");
export var Radio = styled('label', {
  target: "eqnyg9o0"
})("label:unf-radio;display:inline-block;& .radio-area{width:24px;height:24px;vertical-align:middle;border:1.5px solid;border-color:", function (props) {
  return props.disabled ? NN300 : NN900;
}, ";border-radius:50%;position:relative;display:flex;align-items:center;justify-content:center;transition:border-color ", durationT1, " ", easeOut, ";&::before{content:'';width:12px;height:12px;border-radius:50%;transform:scale(0.17);opacity:0;background:", function (props) {
  return props.disabled ? NN300 : GN500;
}, ";transition-property:transform,opacity;transition-duration:", durationT1, ";transition-timing-function:", easeOut, ";}&::after{content:'';position:absolute;width:24px;height:24px;border-radius:50%;opacity:0;border:1.5px solid ", NN50, ";}}input[type='radio']{width:0;height:0;opacity:0;position:absolute;appearance:none;margin:0;padding:0;}input[type='radio']:checked + .radio-area{border-color:", function (props) {
  return props.disabled ? NN300 : GN500;
}, ";transition:border-color ", durationT2, " ", easeOut, ";&::before{transform:scale(1);opacity:1;transition-property:transform,opacity;transition-duration:", durationT2, ";transition-timing-function:", easeOut, ";}&::after{animation-name:", ripple1, ",", ripple2, ";animation-timing-function:", easeOut, ";animation-duration:", durationT1, ",", durationT2, ";animation-delay:0s,", durationT1, ";}}input[type='radio']:focus-visible + .radio-area{outline:2px dotted ", PN500L, ";outline-offset:3px;}");
export var RadioDiv = Radio.withComponent('div', {
  target: "eqnyg9o1"
});