import { PureComponent } from 'react';
export interface ShimmerProps {
    /**
     * To apply circle shimmer design
     */
    circle?: boolean;
    /**
     * To apply custom height on shimmer
     */
    height?: string;
    /**
     * To apply line shimmer design
     */
    line?: boolean;
    /**
     * To apply css masking on shimmer
     */
    mask?: string;
    /**
     * To apply custom width on shimmer
     */
    width?: string;
}
declare class Shimmer extends PureComponent<ShimmerProps> {
    renderMask: () => JSX.Element;
    render(): JSX.Element;
}
export default Shimmer;
