import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _assertThisInitialized from "@babel/runtime/helpers/assertThisInitialized";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React, { PureComponent } from 'react';
import { Circle, Line, MaskContainer } from "./style";

var Shimmer = function (_PureComponent) {
  _inherits(Shimmer, _PureComponent);

  var _super = _createSuper(Shimmer);

  function Shimmer() {
    var _this;

    _classCallCheck(this, Shimmer);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "renderMask", function () {
      var _this$props = _this.props,
          circle = _this$props.circle,
          line = _this$props.line,
          mask = _this$props.mask,
          height = _this$props.height,
          width = _this$props.width;

      if (mask) {
        return React.createElement(MaskContainer, {
          width: width,
          height: height,
          "data-unify": "Shimmer"
        }, React.createElement("img", {
          src: mask,
          alt: "shimmer-masking",
          crossOrigin: "anonymous"
        }), React.createElement(Line, {
          width: width,
          height: height
        }));
      }

      if (circle) {
        return React.createElement(Circle, {
          width: width,
          height: height
        });
      }

      if (line) {
        return React.createElement(Line, {
          width: width,
          height: height
        });
      }

      return React.createElement(Line, {
        width: width,
        height: height
      });
    });

    return _this;
  }

  _createClass(Shimmer, [{
    key: "render",
    value: function render() {
      return this.renderMask();
    }
  }]);

  return Shimmer;
}(PureComponent);

Shimmer.defaultProps = {
  width: '24px',
  height: '24px'
};
export default Shimmer;