/// <reference types="react" />
import { TextAreaV2Props } from './type';
export type { TextAreaV2Props };
declare const TextAreaV2: {
    (props: TextAreaV2Props): JSX.Element;
    propTypes: {
        appendObject: import("prop-types").Requireable<object>;
        appendText: import("prop-types").Requireable<string>;
        className: import("prop-types").Requireable<string>;
        counter: import("prop-types").Requireable<number>;
        disabled: import("prop-types").Requireable<boolean>;
        error: import("prop-types").Requireable<boolean>;
        focus: import("prop-types").Requireable<boolean>;
        full: import("prop-types").Requireable<boolean>;
        id: import("prop-types").Requireable<string>;
        info: import("prop-types").Requireable<string>;
        isClearable: import("prop-types").Requireable<boolean>;
        label: import("prop-types").Requireable<string>;
        lang: import("prop-types").Requireable<string>;
        loading: import("prop-types").Requireable<boolean>;
        maxLength: import("prop-types").Requireable<number>;
        maxRows: import("prop-types").Requireable<number>;
        message: import("prop-types").Requireable<string>;
        minRows: import("prop-types").Requireable<number>;
        name: import("prop-types").Requireable<string>;
        placeholder: import("prop-types").Requireable<string>;
        readOnly: import("prop-types").Requireable<boolean>;
        staticLabel: import("prop-types").Requireable<boolean>;
        success: import("prop-types").Requireable<boolean>;
        value: import("prop-types").Requireable<string>;
        onBlur: import("prop-types").Requireable<(...args: any[]) => any>;
        onChange: import("prop-types").Requireable<(...args: any[]) => any>;
        onClear: import("prop-types").Requireable<(...args: any[]) => any>;
        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
        onFocus: import("prop-types").Requireable<(...args: any[]) => any>;
        onInput: import("prop-types").Requireable<(...args: any[]) => any>;
        onKeyDown: import("prop-types").Requireable<(...args: any[]) => any>;
        onKeyPress: import("prop-types").Requireable<(...args: any[]) => any>;
        onKeyUp: import("prop-types").Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        disabled: boolean;
        error: boolean;
        focus: boolean;
        full: boolean;
        isClearable: boolean;
        lang: string;
        loading: boolean;
        minRows: number;
        readOnly: boolean;
        staticLabel: boolean;
        success: boolean;
        value: string;
    };
};
export default TextAreaV2;
