import styled from 'react-emotion';
import { fontSizeLv2, lineHeightLv2 } from 'unify-token/build/v2/typographies';
import { durationT3, easeOut, easeInOut } from 'unify-token/build/v2/motions';
import { NN900, RN600 } from 'unify-token/colors';
import { colorWhiteAlways, focusStyle } from "../../build/Providers/common/style";
var ActionTextWrapper = styled('button', {
  target: "e1df8aju0"
})("background-color:transparent;border:0;padding:0;width:15%;text-align:right;", focusStyle, ";");
var Container = styled('div', {
  target: "e1df8aju1"
})("label:unf-toaster;position:fixed;bottom:0;left:0;width:calc(100% - 32px);margin:0 16px;padding:12px 16px;background-color:", function (_ref) {
  var error = _ref.error;
  return error ? RN600 : NN900;
}, ";font-size:", fontSizeLv2, ";line-height:", lineHeightLv2, ";border-radius:8px;color:", colorWhiteAlways, ";opacity:0;visibility:hidden;z-index:10;transform:scale(1);transition-duration:", durationT3, ";transition-timing-function:", easeInOut, ";&.unf-toaster--show{visibility:visible;bottom:", function (_ref2) {
  var distance = _ref2.distance;
  return distance ? typeof distance === 'string' ? "calc(".concat(distance, " + 24px)") : "calc(".concat(distance, "px + 24px)") : '24px';
}, ";transform:scale(1);opacity:1;transition-timing-function:", easeOut, ";transition-delay:0ms;will-change:transform,opacity,visibility;&.unf-toaster--btn{bottom:80px;}}&.unf-toaster--hide{bottom:", function (_ref3) {
  var distance = _ref3.distance;
  return distance ? typeof distance === 'string' ? "calc(".concat(distance, " + 24px)") : "calc(".concat(distance, "px + 24px)") : '24px';
}, ";opacity:0;visibility:hidden;transform:scale(0.85);transition-property:transform,opacity,visibility;transition-duration:", durationT3, ";transition-timing-function:", easeInOut, ";will-change:transform,opacity,visibility;}&.unf-toaster--bottomnav{bottom:56px;}&.unf-toaster--overlay{z-index:70;}");
export { ActionTextWrapper, Container };