import styled, { css } from 'react-emotion';
import { durationT3, durationT2, easeOut, easeOvershoot } from 'unify-token/build/v2/motions';
import { GN200L, GN500, NN0, NN300, NN900, PN500L } from 'unify-token/colors';
import { colorTextHigh } from 'unify-token/build/v2/colors';
import { fontSizeLv2 } from 'unify-token/build/v2/typographies';
import { colorWhiteAlways } from "../../build/Providers/common/style";
var _ref = ":active{.toggle-lever{&::before,&::after{transform:scale(1.111);}}input[type='checkbox']:checked + .toggle-lever::before,input[type='checkbox']:checked + .toggle-lever::after{transform:scale(1.111) translateX(100%);}}";
export var cssActive = function cssActive() {
  return css(_ref);
};
export var Toggle = styled("label", {
  target: "eybxe2a0"
})("label:unf-toggle;display:inline-block;&,& *{-webkit-tap-highlight-color:transparent;user-select:none;}", function (_ref2) {
  var disabled = _ref2.disabled;
  return !disabled && cssActive(Boolean(disabled));
}, " .toggle-lever{content:'';width:44px;height:24px;vertical-align:middle;background-color:", function (_ref3) {
  var disabled = _ref3.disabled;
  return "".concat(disabled ? NN300 : NN900);
}, ";border-radius:15px;display:inline-block;position:relative;box-shadow:0 0 0px 0px #f0f3f7;transition:background ", durationT2, " ", easeOut, ",box-shadow ", durationT3, " ", easeOut, ";&::before,&::after{content:'';width:18px;height:18px;background-color:", function (_ref4) {
  var disabled = _ref4.disabled,
      checked = _ref4.checked;
  return disabled ? "".concat(checked ? NN300 : NN0) : colorWhiteAlways;
}, ";border-radius:24px;display:inline-block;position:absolute;left:3px;top:3px;transform:translateX(0%);transition:transform ", durationT2, " ", easeOvershoot, ";}}input[type='checkbox']{opacity:0;width:0;height:0;margin:0;padding:0;&:checked,&:not(:checked){position:absolute;opacity:0;pointer-events:none;}}input[type='checkbox']:checked + .toggle-lever{background-color:", function (_ref5) {
  var disabled = _ref5.disabled;
  return disabled ? "var(--GN100, ".concat(GN200L, ")") : GN500;
}, ";}input[type='checkbox']:checked + .toggle-lever::before,input[type='checkbox']:checked + .toggle-lever::after{transform:translateX(calc(100% + 2px));}input[type='checkbox']:focus-visible + .toggle-lever{outline:2px dotted ", PN500L, ";outline-offset:3px;}.toggle-text{color:", colorTextHigh, ";font-size:", fontSizeLv2, ";line-height:1;vertical-align:middle;&:not(:last-child){margin-right:8px;}&:not(:first-child){margin-left:8px;}}");
export var ToggleDiv = Toggle.withComponent('div', {
  target: "eybxe2a1"
});