import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["disabled", "text", "linkText", "linkUrl"];
import React from 'react';
import { GN500 } from 'unify-token/colors';
import Typography from "../../../build/Typography";
import { _descriptionStyle } from "../style";

var Description = function Description(props) {
  var disabled = props.disabled,
      text = props.text,
      linkText = props.linkText,
      linkUrl = props.linkUrl,
      otherProps = _objectWithoutProperties(props, _excluded);

  return React.createElement(Typography, _extends({
    disabled: disabled,
    className: _descriptionStyle(disabled)
  }, otherProps), text, React.createElement(Typography, {
    link: linkUrl,
    color: GN500
  }, linkText));
};

export default Description;