import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["className", "style"];
import React from 'react';
import { cx } from 'react-emotion';
import Shimmer from "../../../build/Shimmer";
import { Content, _shimmerStyle } from "../style";

var ShimmerCustom = function ShimmerCustom(_ref) {
  var className = _ref.className,
      style = _ref.style,
      otherProps = _objectWithoutProperties(_ref, _excluded);

  return React.createElement("div", {
    className: cx(className, _shimmerStyle),
    style: style
  }, React.createElement(Shimmer, otherProps));
};

var TotalAmountShimmer = function TotalAmountShimmer() {
  return React.createElement(Content, null, React.createElement("div", null, React.createElement(ShimmerCustom, {
    width: "62px",
    height: "16px",
    style: {
      margin: '0 0 4px'
    }
  }), React.createElement(ShimmerCustom, {
    width: "116px",
    height: "20px"
  })), React.createElement("div", null, React.createElement(ShimmerCustom, {
    width: "140px",
    height: "40px"
  })));
};

export default TotalAmountShimmer;