import styled, { keyframes } from 'react-emotion';
import { NN50 } from 'unify-token/colors';
export var ANIM_TIMEOUT = 400;
var beat = keyframes("0%{transform:translate(-50%,-50%) scale(1);}25%{transform:translate(-50%,-50%) scale(1.2);}100%{transform:translate(-50%,-50%) scale(1);}");
export var WishlistButton = styled("button", {
  target: "e14gxndp0"
})("position:relative;width:32px;height:32px;background-color:", NN50, ";display:flex;justify-content:center;align-items:center;border:0;outline:none;border-radius:100%;& svg{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);", function (_ref) {
  var beating = _ref.beating;
  return beating ? "animation: ".concat(beat, " ").concat(ANIM_TIMEOUT, "ms linear 1 backwards") : "";
}, ";}& path{transition:transform 0.24s ease;}");
export default WishlistButton;