import React from 'react';
declare type WishlistAttributes = React.ComponentPropsWithoutRef<'button'>;
export interface WishlistProps extends Omit<WishlistAttributes, 'css'> {
    /**
     * To pass callback wishlish is clicked
     * @default () => {}
     */
    onClick?: (e: React.MouseEvent<HTMLButtonElement>) => void;
}
export interface WishlistState extends WishlistProps {
    active?: boolean;
    beating?: boolean;
}
export {};
